Engines interface

## Modules

| PKCS11H_ENGINE_CRYPTO
| pkcs11-helper built-in engines.

## Files

file | pkcs11h-engines.h
| pkcs11-helper engines definitions.

## Classes

struct | pkcs11h_sys_engine_s
| System engine. More...
struct | pkcs11h_crypto_engine_s
| Crypto engine. More...

## Typedefs

typedef struct pkcs11h_sys_engine_s | pkcs11h_engine_system_t
| System engine.
typedef struct pkcs11h_crypto_engine_s | pkcs11h_engine_crypto_t
| Crypto engine.

## Functions

CK_RV | pkcs11h_engine_setSystem (IN const pkcs11h_engine_system_t *const engine)
| Set system engine to be used.
CK_RV | pkcs11h_engine_setCrypto (IN const pkcs11h_engine_crypto_t *const engine)
| Set crypto engine to be used.

## Detailed Description

External dependencies.

## Function Documentation

## pkcs11h_engine_setCrypto()

CK_RV pkcs11h_engine_setCrypto | ( | IN const pkcs11h_engine_crypto_t *const | engine | ) |

Set crypto engine to be used.

Parameters

  engine | Engine to use.

Returns
  CK_RV.

Note
  Must be called before pkcs11h_initialize.
  Default is provided at configuration time.

See also
  PKCS11H_ENGINE_CRYPTO

## pkcs11h_engine_setSystem()

CK_RV pkcs11h_engine_setSystem | ( | IN const pkcs11h_engine_system_t *const | engine | ) |

Set system engine to be used.

Parameters

  engine | Engine to use.

Returns
  CK_RV.

Note
  Must be called before pkcs11h_initialize.
  Default engine is libc functions.

pkcs11-helper, Copyright (C) Alon Bar-Lev <alon.barlev@gmail.com> |